> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取已完成的 Google Shopping 产品任务

> **“Tasks Ready”** 端点旨在提供尚未获取的已完成任务列表。



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/merchant/google/products/tasks_ready
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/merchant/google/products/tasks_ready:
    get:
      summary: 获取已完成的 Google Shopping 产品任务
      description: >-
        **‘Tasks Ready’** 端点用于提供尚未领取的已完成任务列表。如果使用 Standard 方法且未指定
        `postback_url`，则可以通过此端点获取所有已完成任务的 `id` 列表。然后，可以使用 **‘Task GET’** 端点领取结果。
      operationId: get_dataforseo_merchant_google_products_tasks_ready
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含请求 URL 中传递的参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.id:
                    type: string
                    description: 已完成任务的任务标识符，即系统中 UUID 格式的唯一任务标识符
                  tasks.result.se:
                    type: string
                    description: 设置任务时指定的搜索引擎
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型，例如：products
                  tasks.result.date_posted:
                    type: string
                    description: 任务发布日期（UTC 格式）
                  tasks.result.tag:
                    type: string
                    description: 用户定义的任务标识符
                  tasks.result.endpoint_advanced:
                    type: string
                    description: 用于收集 Google Shopping Products Advanced 任务结果的 URL
                  tasks.result.endpoint_html:
                    type: string
                    description: 用于获取 Google Shopping Products HTML 任务结果的 URL
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````